apiVersion: hostpathprovisioner.kubevirt.io/v1beta1
kind: HostPathProvisioner
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"hostpathprovisioner.kubevirt.io/v1beta1","kind":"HostPathProvisioner","metadata":{"annotations":{},"name":"hostpath-provisioner"},"spec":{"imagePullPolicy":"IfNotPresent","storagePools":[{"name":"hpp-csi-local-basic","path":"/var/hpp-csi-local-basic"},{"name":"hpp-csi-pvc-block","path":"/var/hpp-csi-pvc-block","pvcTemplate":{"accessModes":["ReadWriteOnce"],"resources":{"requests":{"storage":"100Gi"}},"storageClassName":"ocs-storagecluster-ceph-rbd-virtualization","volumeMode":"Block"}}],"workload":{"nodeSelector":{"kubernetes.io/os":"linux"}}}}
  creationTimestamp: "2025-10-29T11:55:59Z"
  finalizers:
  - finalizer.delete.hostpath-provisioner
  generation: 51
  name: hostpath-provisioner
  resourceVersion: "2231027"
  uid: 36587520-a7eb-4432-b582-ee0686f3b456
spec:
  imagePullPolicy: IfNotPresent
  storagePools:
  - name: hpp-csi-local-basic
    path: /var/hpp-csi-local-basic
  - name: hpp-csi-pvc-block
    path: /var/hpp-csi-pvc-block
    pvcTemplate:
      accessModes:
      - ReadWriteOnce
      resources:
        requests:
          storage: 100Gi
      storageClassName: ocs-storagecluster-ceph-rbd-virtualization
      volumeMode: Block
  workload:
    nodeSelector:
      kubernetes.io/os: linux
status:
  conditions:
  - lastHeartbeatTime: "2025-10-29T13:22:55Z"
    lastTransitionTime: "2025-10-29T13:22:55Z"
    message: Application Available
    reason: Complete
    status: "True"
    type: Available
  - lastHeartbeatTime: "2025-10-29T13:22:55Z"
    lastTransitionTime: "2025-10-29T13:19:58Z"
    status: "False"
    type: Progressing
  - lastHeartbeatTime: "2025-10-29T13:22:55Z"
    lastTransitionTime: "2025-10-29T13:22:55Z"
    status: "False"
    type: Degraded
  observedVersion: v4.19.12
  operatorVersion: v4.19.12
  storagePoolStatuses:
  - name: hpp-csi-local-basic
    phase: Ready
  - claimStatuses:
    - name: hpp-pool-hpp-csi-pvc-block-cnvqe-070.lab.eng.tlv2.redhat.com
      status:
        accessModes:
        - ReadWriteOnce
        capacity:
          storage: 100Gi
        phase: Bound
    - name: hpp-pool-hpp-csi-pvc-block-cnvqe-071.lab.eng.tlv2.redhat.com
      status:
        accessModes:
        - ReadWriteOnce
        capacity:
          storage: 100Gi
        phase: Bound
    - name: hpp-pool-hpp-csi-pvc-block-cnvqe-072.lab.eng.tlv2.redhat.com
      status:
        accessModes:
        - ReadWriteOnce
        capacity:
          storage: 100Gi
        phase: Bound
    currentReady: 3
    desiredReady: 3
    name: hpp-csi-pvc-block
    phase: Ready
  targetVersion: v4.19.12
